is snow leopard compatible with print explosion?

I have Mac OS 10.5.8 and print explosion 3.0.

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question